{% extends "base.html" %}
{% block style %}
<link rel="stylesheet" href="{{ url_for('static',filename='css/fichier.css') }}">
{% endblock %}

{% block headscript%}
<script src="https://cdn.jsdelivr.net/npm/@svgdotjs/svg.js@3.0/dist/svg.min.js"></script>
<script src="{{ url_for('static',filename='js/fichier.js') }}"></script>
<script type="text/JavaScript" src="{{ url_for('static',filename='js/jQuery.print.js') }}"></script>
<script type="text/JavaScript" src="{{ url_for('static',filename='js/html2canvas.js') }}"></script>
<script type="text/JavaScript" src="{{ url_for('static',filename='js/canvas2image.js') }}"></script>

{% endblock %}

{% block main %}

<section class="d-flex flex-column align-items-center edt">
    <h1> {{titre}} </h1>

    <div class = "contenant" >
        <div id = "printable" class = "col col-md-10" style = "display: flex;">
            <div class = "col col-md-2 Légende"> 
                <h4> Pastilles à valider </h4>
                <div class ="a_valider" id = "a_valider">
                    <ul>
                        
                    </ul> 
                </div>
                <h4> Zoom </h4>
                <button class = "btn btn-secondary" type = "button" onclick="zoomer()" > + </button>
                <button class = "btn btn-secondary" type = "button" onclick="dezoomer()"> - </button>
                <form method="POST" action="{{url_for('zoomer')}}"  id = "form_zoom">
                    <input type="hidden" value = "{{fichier.id}}" name = "fic" id = "fic_id">
                    <input type="hidden" value = "{{fichier.zoom}}" name = "sens_zoom" id = "sens_zoom">
                </form>
                <h4> Légende </h4>
                <div class = "les-infos">
                    <ul>
                        
                    </ul>
                </div>
            </div>
            {% for elem in legendes %}
                <script> afficheLegende("{{elem.produit_legende.modele}}", "{{elem.init_legende}}", "{{elem.couleur_fond}}", "{{elem.couleur_lettre}}", "{{elem.id}}", "{{elem.dimension}}") </script>
            {% endfor %}
            <div class = "col" id = "fic">
               <div id = "global">
                    <div id = "div_svg"> </div>
                {% for image in fichier.chemin_images %}
                    <img src="{{url_for('static', filename = 'files/' + image.nom)}}" class = "img_plan"  id = "img_plan"> </img> 
                    <script> adapterImage("{{fichier.zoom}}") </script>
                {% endfor %}
               </div> 
        </div>

        </div>
        <div class ="col col-md-2" id ="ajout">
            
            <div id = "export">
                <button class = "btn btn-secondary" onclick="printDiv()"> Imprimer </button>
            </div>
            <div>
                <form method="POST" action="{{url_for('nouvelle_pastille')}}"  id = "form_nouvelle_pastille">
                    <input type="hidden" value = "{{fichier.id}}" name = "fic" id = "fic_id">
                    <input type="hidden" value = "0" name = "legende_id" id = "legende_id">
                    {% if  fichier.projet_fichier.validation_clientFmail == True %}
                        <button class = "btn btn-primary" type="button" onclick="submitForm('form_nouvelle_pastille')" disabled> Nouvelle Pastille </button>
                    {% else %}
                        <button class = "btn btn-primary" type="button" onclick="submitForm('form_nouvelle_pastille')" > Nouvelle Pastille </button>
                    {% endif %}
                </form>
                <form action="{{url_for('save_pastille_modifications')}}" enctype="multipart/form-data" method="POST" id = "ajout_pastille">
                    <div class = "titre_form" onclick="gererInfos('fieldset1', 'icon1')">
                        <hr>
                        <h5> Information générales <i id = "icon1" class="fa fa-chevron-up"></i></h5>
                    </div>
                    <fieldset id = "fieldset1">
                        <input type="hidden" name="fic" value = "{{fichier.id}}">
                        <input type="hidden" name = "id_pastille" id = "id_pastille">
                        <div class = "form-group">
                            <label for="nom"><b> Nom </b>  </label>
                            <input type="text" name = "nom" class="form-control" id = "nom_form" required>
                        </div>
                        <div class = "form-group">
                            <label for="nom"><b> Numéro </b>  </label>
                            <input type="number" name = "numero"  id = "numero" class="form-control" required>
                        </div>
                        <div class = "form-group">
                            <label for="nom"><b> Zone </b>  </label>
                            <input type="text" name = "zone"  id = "zone" class="form-control" required>
                        </div>
                        <div class = "form-group">
                            <label><b> Type pose </b></label>
                            <input type="text" name = "type_pose" id = "type_pose" class="form-control" required>
                        </div>
                        <div class = "form-group">
                            <label><b> Dimensions </b></label>
                            <input type="text" name = "dimension" id = "dimension" class="form-control" required>
                        </div>
                        <div class = "form-group">
                            <label><b> Text </b></label>
                            <textarea type="text" name = "texte" id = "texte" class="form-control" required></textarea>
                        </div>
                        <div class = "form-group">
                            <label><b> Commentaire </b></label>
                            <textarea type="text" name = "commentaire" id = "commentaire" class="form-control"></textarea>
                        </div>
                        <div class = "form-group">
                            <label><b> Krelief </b></label>
                            <input type="number" name="krelief" id="krelief" class="form-control">
                        </div>
                        <div class = "form-group">
                            <label><b> Braille </b></label>
                            <input type="number" name="braille" id="braille" class="form-control">
                        </div>
                        <div class = "form-group" id = div_img_pose>
                            <label><b> Image Pose </b></label>
                            <input class="form-control" type="file" id="image_pose" name = "image_pose">
                        </div>
                        <div class = "form-group">
                            <label><b> Feuilles Polyestere </b></label>
                            <input type="number" name = "poly" id ="poly" class="form-control" value = 0>
                        </div>
                        <div class = "form-group checkbox">
                            <label><b> RAL </b></label>
                            <div class = "global_ral">
                                <div class="form-check form-switch">
                                    <input class="form-check-input" type="checkbox" name="on_ral" id="check_ral" onchange="afficheRal()">
                                    <label class="form-check-label" for="flexSwitchCheckDefault"> Oui </label>
                                </div>
                                <div id = "color_ral" class="color_ral">
                                    <label> Couleur </label>
                                    <input type="color" name="ral" id = "ral" class="form-control" required>
                                </div>
                            </div>
                        </div>
                        <div class = "form-group checkbox" id = "div_vinyle">
                            <label><b> Vinyle </b></label>
                            <div class="form-check form-switch">
                                <input class="form-check-input" type="checkbox" name="vinyle" id="check_vinyle">
                                <label class="form-check-label" for="flexSwitchCheckDefault">Oui </label>
                              </div>
                        </div>
                    </fieldset>
                    <div class = "titre_form" onclick="gererInfos('fieldset2', 'icon2')">
                        <hr>
                        <h5> Informations Produit <i id = "icon2" class="fa fa-chevron-up"></i></h5>
                    </div>
                    <fieldset id = "fieldset2">
                        <input type="hidden" name ="num_sous_p" id ="num_sous_p" value = "0">
                        <div class = "form-group">
                            <label><b> Nom produit </b></label>
                            <input class="form-control" list="produits" name="nom_produit" id="nom_produit" required>
                            <datalist id="produits">
                                {% for produit in produits %}
                                <option value="{{ produit.modele }}">
                                    {% endfor %}
                            </datalist>
                        </div>
                        <div id = "sous_p">

                        </div>
                        <div class = "form-group">
                            <button class = "btn btn-primary" type = "button" onclick="ajoutSousProduit()"> Ajouter sous-produit </button>
                        </div>
                    </fieldset>
                    <div class = "titre_form" onclick="gererInfos('fieldset3', 'icon3')">
                        <hr>
                        <h5> Informations Pastille <i id = "icon3" class="fa fa-chevron-up"></i></h5>
                    </div>
                    <fieldset id = "fieldset3">
                        <div class = "form-group">
                            <label><b> Position X </b></label>
                            <input type="number" name="position_x" id ="position_x" class="form-control" required step=any>
                        </div>
                        <div class = "form-group">
                            <label><b> Position Y </b></label>
                            <input type="number" name="position_y" id="position_y" class="form-control" required step=any>
                        </div>
                        <div class = "form-group">
                            <label><b> Position visée X </b></label>
                            <input type="number" name = "position_pointe_x" id="position_pointe_x" class="form-control" required step=any>
                        </div>
                        <div class = "form-group">
                            <label><b> Position visée Y </b></label>
                            <input type="number" name = "position_pointe_y" id ="position_pointe_y" class="form-control" required step=any>
                        </div>
                        <div class = "form-group">
                            <label><b> Angle pointeur </b></label>
                            <div style="display: flex; align-items: center;">
                                <input type="range" class="form-range form-control" value = "0" min="0" max="360" id="rangeAngle" name = "angle">
                                <span id = "valeur_rotation"> 0° </span>
                            </div>
                        </div>
                        <div class = "form-group">
                            <label><b> Couleur Fond </b></label>
                            <input type="color" name = "couleur_fond" id ="couleur_fond" class="form-control" required>
                        </div>
                        <div class = "form-group">
                            <label><b> Couleur Police </b></label>
                            <input type="color" name="couleur_lettre" id = "couleur_lettre" class="form-control" required>
                        </div>

                        <div class = "form-group">
                            <label><b> Initiales légende </b></label>
                            <input type="text" name="init_legende" id="init_legende" class="form-control" required>
                        </div>
                    </fieldset>
                    
                    <div class = "les_btn">
                        
                        <button id = "sub_form_p" class = "btn btn-primary" type="submit" disabled> Valider </button>
                        <button id = "remise" class = "btn btn-secondary" type="button" onclick="submitForm('form_remise')" disabled> Remiser </button>
                        <button id = "suppr_pastille" class = "btn btn-danger" type="button" onclick="submitForm('form_supprimer')" disabled> Supprimer </button>
                        
                    </div>
                </form>
                <form action="{{ url_for('remiser_pastille') }}" method = "POST" id = "form_remise">
                    <input type="hidden" name="id_pastille_remise" id="id_pastille_remise">
                </form>
                <form action="{{ url_for('supprimer_pastille') }}" id = "form_supprimer" method="POST">
                    <input type="hidden" name="id_pastille_supprimer" id="id_pastille_supprimer">
                </form>
            </div>
            
            
        </div>
        {% for p in pastilles %}
        <script>
            var liste = {};
        </script>
            {% for sous_p in p.sous_produits %}
            <script> 
                function getNomSousP(nomP, nb, liste){
                    liste[nomP] = nb;
                }
                
                getNomSousP("{{sous_p.sous_produit.modele}}", "{{sous_p.nombre}}",liste);
            </script>
            {% endfor %}
            {% if p.precedente_pastille %}
                <script>
                    affichePastille("{{p.id}}","{{p.nom}}","{{p.numero}}","{{p.legende_pastille.dimension}}", "{{p.position_x}}","{{p.position_y}}","{{p.position_pointe_x}}","{{p.position_pointe_y}}" , "{{p.legende_pastille.type_prod}}", "{{p.legende_pastille.init_legende}}","{{p.legende_pastille.couleur_fond}}", "{{p.legende_pastille.couleur_lettre}}", "{{p.texte}}", "{{p.type_pose}}", "{{p.krelief}}", "{{p.braille}}", "{{p.image_pose}}", "{{p.commentaire}}", "{{p.valider}}", "{{p.ral}}", "{{p.vinyle}}", "{{p.zone}}","{{p.angle}}", "{{p.feuille_poly}}", "{{p.produit_pastille.modele}}", liste, "{{p.sauvegarde_modif}}", "{{p.fichier_pastille.projet_fichier.validation_client}}", "{{p.id_legende}}", "{{p.precedente_pastille.type_pose}}","{{p.precedente_pastille.nom}}","{{p.precedente_pastille.numero}}","{{p.precedente_pastille.krelief}}", "{{p.precedente_pastille.braille}}", "{{p.precedente_pastille.image_pose}}", "{{p.precedente_pastille.commentaire}}", "{{p.precedente_pastille.vinyle}}","{{p.precedente_pastille.ral}}", "{{p.precedente_pastille.feuille_poly}}","{{p.precedente_pastille.zone}}","{{p.precedente_pastille.position_x}}","{{p.precedente_pastille.position_y}}","{{p.precedente_pastille.position_pointe_x}}","{{p.precedente_pastille.position_pointe_y}}","{{p.precedente_pastille.angle}}","{{p.precedente_pastille.legende_pastille.dimension}}");
                </script>
            {% else %}
                <script>
                    affichePastille("{{p.id}}","{{p.nom}}","{{p.numero}}","{{p.legende_pastille.dimension}}", "{{p.position_x}}","{{p.position_y}}","{{p.position_pointe_x}}","{{p.position_pointe_y}}" , "{{p.legende_pastille.type_prod}}", "{{p.legende_pastille.init_legende}}","{{p.legende_pastille.couleur_fond}}", "{{p.legende_pastille.couleur_lettre}}", "{{p.texte}}", "{{p.type_pose}}", "{{p.krelief}}", "{{p.braille}}", "{{p.image_pose}}", "{{p.commentaire}}", "{{p.valider}}", "{{p.ral}}", "{{p.vinyle}}", "{{p.zone}}","{{p.angle}}", "{{p.feuille_poly}}", "{{p.produit_pastille.modele}}", liste, "{{p.sauvegarde_modif}}", "{{p.fichier_pastille.projet_fichier.validation_client}}", "{{p.id_legende}}", "{{p.precedente_pastille.type_pose}}","{{p.precedente_pastille.nom}}","{{p.precedente_pastille.numero}}","{{p.precedente_pastille.krelief}}", "{{p.precedente_pastille.braille}}", "{{p.precedente_pastille.image_pose}}", "{{p.precedente_pastille.commentaire}}", "{{p.precedente_pastille.vinyle}}","{{p.precedente_pastille.ral}}", "{{p.precedente_pastille.feuille_poly}}","{{p.precedente_pastille.zone}}","{{p.precedente_pastille.position_x}}","{{p.precedente_pastille.position_y}}","{{p.precedente_pastille.position_pointe_x}}","{{p.precedente_pastille.position_pointe_y}}","{{p.precedente_pastille.angle}}","{{p.legende_pastille.dimension}}") 
                </script>
            {% endif %}
                <form action="{{url_for('save_pastille_position')}}" method="POST" id = "form_pastille_{{p.id}}">
                    <input type="hidden" name = "id_pastille" value="{{p.id}}">
                    <input type="hidden" name ="posx" id = "posx-{{p.id}}" value ="{{p.position_x}}">
                    <input type="hidden" name="posy" id="posy-{{p.id}}"  value ="{{p.position_y}}">
                    <input type="hidden" name ="posx_pointe" id = "posx_pointe_{{p.id}}" value ="{{p.position_pointe_x}}">
                    <input type="hidden" name="posy_pointe" id="posy_pointe_{{p.id}}"  value ="{{p.position_pointe_y}}">
                    <input type="hidden" name="fic" value="{{fichier.id}}">
                </form>
        {% endfor %}
    </div>

</section>
{% endblock %}

{% block script %}
<script>
    function submitForm(form_id){
        document.forms[form_id].submit();    
        }
    function load(){
        let body = document.getElementsByTagName("body")[0];
        body.onresize = function(){
            window.location.reload();
        };
    }
    load();
</script>
<!-- <script> redimensionner("global") </script> -->
{% endblock %}

